%define ptlib_version 2.10.9
%define opal_version 3.10.9

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Voice and Video over IP software (H323 / SIP)
Name:		ekiga
Version:	4.0.1
Release:	%mkrel 7
License:	GPLv2+
Group:		Communications/Telephony
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.ekiga.org
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.20.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gconf-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gnome-icon-theme) >= 3.0.0
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(dbus-1) >= 0.36
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.36
BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(ptlib) >= %{ptlib_version}
BuildRequires:	pkgconfig(opal) >= %{opal_version}
BuildRequires:	openldap-devel
BuildRequires:	boost-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool gettext-devel
BuildRequires:	automake
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
Obsoletes:	gnomemeeting
Provides:	gnomemeeting
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires:	pkgconfig(gnome-icon-theme) >= 3.0.0
Requires:	opal3 >= %{opal_version}
Suggests:	yelp

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses both SIP and H323 protocol and is compatible with Microsoft Netmeeting.
It used to be called GnomeMeeting

%prep
%setup -q
%apply_patches

%build
%configure2_5x	\
		--disable-schemas-install --enable-dbus
%make 

%install
%makeinstall_std

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/{*-??,*-??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %name.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-VideoConference" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p %{buildroot}%launchers
cat > %{buildroot}%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Ekiga \$devicename
Comment=Ekiga
TryExec=%{_bindir}/ekiga
Exec=%{_bindir}/ekiga
Terminal=false
Icon=ekiga
Type=Application
StartupNotify=true
EOF

rm -rf %{buildroot}/var/lib/scrollkeeper

%define schemas ekiga

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%preun
if [ -r %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas -a -x %{_bindir}/gconftool-2 ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
  update-alternatives --remove webcam.kde.dynamic %launchers/gnomemeeting.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/gnomemeeting.desktop
fi
%preun_uninstall_gconf_schemas %{schemas}

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%files -f %{name}.lang
%doc README NEWS FAQ AUTHORS TODO
%{_bindir}/*
%{_libdir}/%{name}
%dir %{_datadir}/omf/*
%{_datadir}/dbus-1/services/org.ekiga*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/*/*
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %launchers/*.desktop


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.0.1-7.mga4
+ Revision: 533219
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 4.0.1-6.mga4
+ Revision: 472072
- rebuild for cyrus-sasl

* Sun Aug 18 2013 fwang <fwang> 4.0.1-5.mga4
+ Revision: 467485
- rebuild for new eds

* Tue Jul 09 2013 fwang <fwang> 4.0.1-4.mga4
+ Revision: 451767
- rebuild for new boost

* Wed Apr 10 2013 malo <malo> 4.0.1-3.mga3
+ Revision: 409442
- rebuild for boost 1.53

* Thu Mar 14 2013 neoclust <neoclust> 4.0.1-2.mga3
+ Revision: 403149
- Rebuild against new libs

  + ovitters <ovitters>
    - new version 4.0.1

* Fri Jan 11 2013 umeabot <umeabot> 4.0.0-3.mga3
+ Revision: 349589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 4.0.0-2.mga3
+ Revision: 333019
- rebuild for new boost

* Tue Nov 27 2012 fwang <fwang> 4.0.0-1.mga3
+ Revision: 322292
- req gnome-icon-theme
- update rpm group
- bump req
- new version 4.0.0

* Mon Aug 27 2012 fwang <fwang> 3.9.90-1.mga3
+ Revision: 284546
- fix str fmt
- bump opal req

  + ovitters <ovitters>
    - drop merged patches
    - new version 3.9.90

* Sat Aug 11 2012 sander85 <sander85> 3.3.2-7.mga3
+ Revision: 280772
- Fix build with gcc 4.7.
- Adapt to Evolution-Data-Server API changes in 3.5.3 (upstream).

* Wed May 30 2012 fwang <fwang> 3.3.2-6.mga3
+ Revision: 250190
- br gettext-devel
- rebuild for new boost

  + ovitters <ovitters>
    - clean spec
    - rebuild due to new boost

* Mon Nov 28 2011 fwang <fwang> 3.3.2-4.mga2
+ Revision: 173559
- rebuild for new boost

* Mon Nov 21 2011 fwang <fwang> 3.3.2-3.mga2
+ Revision: 170390
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 159481
- rebuild for new evo
- new version 3.3.2
- rebuild for new eds
- rebuild for new boost

* Wed Jul 20 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 127524
- fix tranlsation catalog name
- fix more str fmt
- turn to pkgconfig style br
- new version 3.3.1
 (no soundwrapper needed now)

* Sat Jun 25 2011 ahmad <ahmad> 3.3.0-1.mga2
+ Revision: 113377
- Update to 3.3.0
- Bump BR ptlib and opal3 versions
- Add BR boost-devel
- Don't ship .la
- Update the file list

  + dmorgan <dmorgan>
    - Rebuild against new libnotify

* Fri Feb 25 2011 ennael <ennael> 3.2.7-2.mga1
+ Revision: 59436
- clean spec file
- imported package ekiga


* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 3.2.7-2mdv2011.0
+ Revision: 568223
- rebuild for new e-d-s

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 3.2.7-1mdv2011.0
+ Revision: 551256
- new version
- bump deps

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 3.2.6-3mdv2010.1
+ Revision: 548449
- rebuild with latest eds

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.6-2mdv2010.1
+ Revision: 522573
- rebuilt for 2010.1

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 3.2.6-1mdv2010.0
+ Revision: 447490
- new version
- update deps

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove wrong part
    - Add kde support ( not activated for now )

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 3.2.5-1mdv2010.0
+ Revision: 393352
- new version
- bump deps
- udate doc file list

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 3.2.4-1mdv2010.0
+ Revision: 377975
- new version

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 3.2.1-1mdv2010.0
+ Revision: 377768
- new version
- bump deps

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.2.0-1mdv2009.1
+ Revision: 357263
- new version
- bump deps

* Tue Mar 03 2009 Frederic Crozat <fcrozat@mandriva.com> 3.1.2-2mdv2009.1
+ Revision: 347767
- ensure help is tagged with lang macro

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 3.1.2-1mdv2009.1
+ Revision: 347658
- new version
- bump deps
- fix installation

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 3.1.0-1mdv2009.1
+ Revision: 325638
- new version
- fix format string
- bump deps
- fix installation

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 296070
- update to new version 3.0.1

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 294136
- copy ekiga 3 branch

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2009.0
+ Revision: 287841
- new version
- bump deps
- depend on libnotify

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.9.90-2mdv2009.0
+ Revision: 280446
- rebuild for ptlib


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.7-3mdv2007.1
+ Revision: 146575
- do not package big ChangeLog

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2.0.7-2mdv2007.1
+ Revision: 144685
- tag lang on Gnome help files

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.0.7-1mdv2007.1
+ Revision: 141433
- new version
- bump deps
- new version
- drop merged patches 1,2

* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.5-2mdv2007.1
+ Revision: 138753
- Patch1 (CVS): fix CVE-2007-0999
- Patch2 : fix docbook url for help generation

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.0.5-1mdv2007.1
+ Revision: 120734
- new version
- bump deps
- update file list

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.0.4-1mdv2007.1
+ Revision: 111709
- new version
- bump deps
- unpack patch
- add dbus component

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-2mdv2007.1
+ Revision: 88309
- Import ekiga

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-2mdv2007.1
- Rebuild

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.0.3-1mdv2007.0
- bump deps
- New release 2.0.3

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-7mdv2007.0
- Add missing soundwrapper call to .desktop file

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-6mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
- rebuild for new e-d-s

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-4mdv2007.0
- fix buildrequires

* Thu Jul 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-2mdv2007.0
- Switch to XDG menu
- use macros
- fix preun script again

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.2-2mdv2007.0
- Fix preun script (Mdv bug #22624)

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.0
- bump deps
- fix URL
- new version

* Thu May 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-3mdk
- Patch0: fix tray icon transparency

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-2mdk
- rebuild for new e-d-s

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- bump deps

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- New release 2.0.1

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdk
- fix buildrequires

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- add scrollkeeper stuff
- bump deps
- New release 2.0.0

* Fri Feb 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.1-3mdk
- Fix BuildRequires (Mdk bug #21161)
- Fix url

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.1-2mdk
- Rebuild

* Tue Feb 14 2006 Gtz Waschk <waschk@mandriva.org> 1.99.1-1mdk
- bump deps
- New release 1.99.1

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-5mdk
- Rebuild with latest dbus

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 1.99.0-4mdk
- fix buildrequires

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-3mdk
- Fix remaining gnomemeeting strings
- uninstall gnomemeeting schemas / alternative when upgrading

* Thu Jan 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-2mdk
- Add missing buildrequires

* Wed Jan 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.99.0-1mdk
- new name : GNOMEMeeting is now known as Ekiga
- Release 1.99.0 (beta for 2.0)
- Remove source 1,2,3

* Tue Dec 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-1mdk
- Release 1.2.3
- remove patch0 (merged upstream)

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-5mdk
- Patch0: use DNS instead of IP for server used to NAT detection
- Use mkrel

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-4mdk
- rebuilt against openssl-0.9.8a

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-3mdk
- Rebuild with new eds

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdk
- rebuild

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-1mdk 
- Release 1.2.2 final

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-0.20050810.2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050810.1mdk 
- New snapshot with more fixes 
- Remove patch0, merged upstream (not that ugly, after all :)

* Wed Aug 10 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050809.1mdk 
- CVS snapshot of GNOMEMeeting 1.2.2
- Patch0 : ugly hack to prevent UI freeze when probing NAT

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.1-4mdk 
- Rebuild with new evolution-data-server

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-3mdk 
- use soundwrapper to start gnomemeeting (Mdk bug #14908)

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk 
- Fix build on 10.1

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk 
- Release 1.2.1
- Remove patch0 (merged upstream)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk 
- Patch0: fix pwlib detection in multiarch environment

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk 
- Fix build for 10.1
- Rebuild with latest howl

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk 
- Fix buildrequires

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk 
- Remove requirements on plugins, it is handled by pwlib/openh323 packages
  directly

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk 
- Release 1.2.0
- Remove patch0 (no longer needed)

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-12mdk
- Fix build requires

* Tue Sep 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-11mdk 
- Rebuild against latest openh323 (no vpb support) and remove patch1,
  Mdk bug #11582 should be fixed now

* Fri Sep 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-10mdk
- Patch1 : disable iLBC codecs until crash is fixed for them

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-9mdk
- Enforce alsa plugin too, since some webcam doesn't work in oss mode
 (Mdk bug #11146)

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-8mdk
- Rebuild with new openh323/pwlib

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-7mdk
- Update dynamic launcher to fix device name use with dynamic entries

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Fix menu

* Thu Jun 17 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-5mdk
- rebuild
- patch0 - use new pwlib, openh323 libraries (experimental)
- recommended versions of pwlib, openh323 modified (for patch0)

* Tue May 04 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-4mdk
- Fix BuildRequires (vpb-devel)

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Fix BuildRequires

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Enforce dependencies on pwlib plugins, to workaround Mdk bug #9556)

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- no explicit library dependencies
- don't bzip2 icons in src.rpm
- spec cosmetics
- drop P0 & P1 (seems to be fixed upstream)
- manually add -lvpb to LDFLAGS

